<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:binding="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    tools:ignore="RtlHardcoded">

    <data>

        <variable
            name="click"
            type="com.hongyegroup.cpt_auths.ui.ResetPasswordActivity.ClickProxy" />

    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/page_bg"
        android:focusable="true"
        android:focusableInTouchMode="true"
        android:orientation="vertical">

        <com.guadou.lib_baselib.view.titlebar.EasyTitleBar
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:Easy_title="Reset Password" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginLeft="@dimen/d_5dp"
            android:layout_marginTop="@dimen/d_5dp"
            android:layout_marginRight="@dimen/d_5dp"
            android:layout_marginBottom="@dimen/d_10dp"
            android:background="@drawable/shadow_round_gray_bg"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                binding:isVisibleGone="@{click.isShowOldBoxLD}">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/d_17dp"
                    android:layout_marginTop="@dimen/d_22dp"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="@dimen/d_1dp"
                        android:src="@drawable/reset_old_password" />

                    <com.guadou.lib_baselib.font_text_view.TextViewRegular
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="11dp"
                        android:text="Old Password"
                        android:textColor="#FF3E4A5D"
                        android:textSize="@dimen/d_15sp" />

                </LinearLayout>

                <EditText
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="45dp"
                    android:layout_marginTop="@dimen/d_10dp"
                    android:background="@null"
                    android:hint="Please enter your old password"
                    android:inputType="textPassword"
                    android:singleLine="true"
                    android:textColor="#FF3E4A5D"
                    android:textColorHint="#FFADB5C2"
                    android:textSize="@dimen/d_15sp"
                    binding:typefaceRegular="@{true}" />

                <View
                    android:layout_width="match_parent"
                    android:layout_height="0.7dp"
                    android:layout_marginLeft="@dimen/d_17dp"
                    android:layout_marginTop="@dimen/d_14dp"
                    android:layout_marginRight="@dimen/d_17dp"
                    android:background="#FFDFE4EE" />

            </LinearLayout>


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_17dp"
                android:layout_marginTop="@dimen/d_22dp"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="@dimen/d_1dp"
                    android:src="@drawable/reset_new_password" />

                <com.guadou.lib_baselib.font_text_view.TextViewRegular
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="11dp"
                    android:text="New Password(min 8 characters)"
                    android:textColor="#FF3E4A5D"
                    android:textSize="@dimen/d_15sp" />

            </LinearLayout>

            <EditText
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="45dp"
                android:layout_marginTop="@dimen/d_10dp"
                android:background="@null"
                android:hint="Please enter new password"
                android:inputType="textPassword"
                android:singleLine="true"
                android:textColor="#FF3E4A5D"
                android:textColorHint="#FFADB5C2"
                android:textSize="@dimen/d_15sp"
                binding:typefaceRegular="@{true}" />

            <View
                android:layout_width="match_parent"
                android:layout_height="0.7dp"
                android:layout_marginLeft="@dimen/d_17dp"
                android:layout_marginTop="@dimen/d_14dp"
                android:layout_marginRight="@dimen/d_17dp"
                android:background="#FFDFE4EE" />


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_17dp"
                android:layout_marginTop="@dimen/d_22dp"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="@dimen/d_1dp"
                    android:src="@drawable/reset_confirm_password_" />

                <com.guadou.lib_baselib.font_text_view.TextViewRegular
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="11dp"
                    android:text="Confirm Password(min 8 characters)"
                    android:textColor="#FF3E4A5D"
                    android:textSize="@dimen/d_15sp" />

            </LinearLayout>

            <EditText
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="45dp"
                android:layout_marginTop="@dimen/d_10dp"
                android:background="@null"
                android:hint="Please confirm the password"
                android:inputType="textPassword"
                android:singleLine="true"
                android:textColor="#FF3E4A5D"
                android:textColorHint="#FFADB5C2"
                android:textSize="@dimen/d_15sp"
                binding:typefaceRegular="@{true}" />

            <View
                android:layout_width="match_parent"
                android:layout_height="0.7dp"
                android:layout_marginLeft="@dimen/d_17dp"
                android:layout_marginTop="@dimen/d_14dp"
                android:layout_marginRight="@dimen/d_17dp"
                android:background="#FFDFE4EE" />


            <com.guadou.lib_baselib.font_text_view.TextViewSBold
                android:layout_width="match_parent"
                android:layout_height="43dp"
                android:layout_marginLeft="@dimen/d_12dp"
                android:layout_marginTop="@dimen/d_45dp"
                android:layout_marginRight="@dimen/d_12dp"
                android:layout_marginBottom="@dimen/d_20dp"
                android:background="@drawable/shape_btn_blue_3round_bg"
                android:gravity="center"
                android:text="Submit"
                android:textColor="@color/white"
                android:textSize="@dimen/d_16sp"
                binding:clicks="@{click.doSubmit}" />

        </LinearLayout>

    </LinearLayout>

</layout>
